> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Cards



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/cards
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/cards:
    get:
      tags:
        - Card Management
      summary: List all Cards
      parameters:
        - in: query
          name: exclude_voided
          schema:
            type: boolean
          description: Exclude voided cards from the response
        - in: query
          name: status_code
          schema:
            type: string
          description: Filter cards by status code
          example: 1000,1001
      responses:
        '200':
          description: The list of cards for a user
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - cardToken
                    - lastFourDigits
                    - activatedAt
                    - virtual
                    - statusCode
                    - statusName
                  properties:
                    id:
                      type: string
                    cardToken:
                      type: string
                    lastFourDigits:
                      type: string
                    activatedAt:
                      type: string
                      nullable: true
                      format: date-time
                    virtual:
                      type: boolean
                    statusCode:
                      type: number
                      description: >
                        Card status code from payment processor. Possible
                        values:

                        - 1000: Active

                        - 1001: Refer to Issuer

                        - 1004: Capture

                        - 1005: Declined

                        - 1006: Pin Blocked

                        - 1007: Declined

                        - 1008: Honour with ID

                        - 1009: Void

                        - 1041: Lost

                        - 1043: Stolen

                        - 1054: Expired

                        - 1154: Expired

                        - 1062: Restricted

                        - 1199: Void
                      enum:
                        - 1000
                        - 1001
                        - 1004
                        - 1005
                        - 1006
                        - 1007
                        - 1008
                        - 1009
                        - 1041
                        - 1043
                        - 1054
                        - 1154
                        - 1062
                        - 1199
                    statusName:
                      type: string
                      description: >
                        Human-readable card status name corresponding to
                        statusCode:

                        - "Active": Card is active and can be used

                        - "Refer to Issuer": Transaction requires issuer
                        approval

                        - "Capture": Card should be captured/retained

                        - "Declined": All transactions are declined

                        - "Pin Blocked": Card PIN is blocked due to incorrect
                        attempts

                        - "Honour with ID": Transaction requires ID verification

                        - "Void": Card is voided/cancelled

                        - "Lost": Card is reported as lost

                        - "Stolen": Card is reported as stolen

                        - "Expired": Card has expired

                        - "Restricted": Card has restrictions applied

                        - "Unknown": Status code not recognized
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: No cards found
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````